Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.jaxb
Class JaxbWsdlBuilder

    java.lang.Object
      org.codehaus.xfire.wsdl11.builder.AbstractWSDL
          org.codehaus.xfire.wsdl11.builder.WSDLBuilder
              org.codehaus.xfire.jaxb.JaxbWsdlBuilder

All Implemented Interfaces:
  WSDLWriter

    public class JaxbWsdlBuilder

extends WSDLBuilder

User: chris Date: Aug 12, 2005 Time: 4:04:24 PM

Field Summary

Fields inherited from class org.codehaus.xfire.wsdl11.builder.AbstractWSDL
`complexQ, elementQ, schemaQ, sequenceQ`

Fields inherited from interface org.codehaus.xfire.wsdl.WSDLWriter
`WSDL11_NS, WSDL11_SOAP_NS`

Constructor Summary
`JaxbWsdlBuilder(Service service, TransportManager transportManager, WSDL11ParameterBinding paramBinding, JaxbSchemaProvider jaxbSchemaProvider)`

Method Summary
`void` | `addDependency(SchemaType type)`

Methods inherited from class org.codehaus.xfire.wsdl11.builder.WSDLBuilder
`createAbstractInterface, createConcreteInterface, createOperation, createPart, createPart, createPart, write`

Methods inherited from class org.codehaus.xfire.wsdl11.builder.AbstractWSDL
`addNamespace, addNamespaceImport, createSchemaType, getDefinition, getDocument, getInfo, getNamespacePrefix, getSchemaTypes, getService, hasDependency, hasImport, hasSchema, setDefinition, setSchema, setSchemaTypes, setService, writeComplexTypes, writeDocument, writeImports`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JaxbWsdlBuilder

    public JaxbWsdlBuilder(Service service,
                           TransportManager transportManager,
                           WSDL11ParameterBinding paramBinding,
                           JaxbSchemaProvider jaxbSchemaProvider)
                    throws javax.wsdl.WSDLException

Throws:
  `javax.wsdl.WSDLException`

Method Detail

### addDependency

    public void addDependency(SchemaType type)

  Overrides:
    `addDependency` in class `AbstractWSDL`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.